## org.apache.ivy.core.event.retrieve
Class RetrieveArtifactEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.retrieve.RetrieveArtifactEvent

Direct Known Subclasses:
  EndRetrieveArtifactEvent, StartRetrieveArtifactEvent

    public class RetrieveArtifactEvent

extends IvyEvent

Constructor Summary
`RetrieveArtifactEvent(java.lang.String name, ArtifactDownloadReport report, java.io.File destFile)`

Method Summary
`protected void` `addArtifactAttributes(Artifact artifact)`
`java.io.File` `getDestFile()`
`ArtifactDownloadReport` `getReport()`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RetrieveArtifactEvent

    public RetrieveArtifactEvent(java.lang.String name,
                                 ArtifactDownloadReport report,
                                 java.io.File destFile)

Method Detail

### addArtifactAttributes

    protected void addArtifactAttributes(Artifact artifact)

### getDestFile

    public java.io.File getDestFile()

### getReport

    public ArtifactDownloadReport getReport()